IrishSentenceBankDocument.IrishSentenceBankSentence (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats.irishsentencebank

## Class IrishSentenceBankDocument.IrishSentenceBankSentence

- java.lang.Object
- - opennlp.tools.formats.irishsentencebank.IrishSentenceBankDocument.IrishSentenceBankSentence

- Enclosing class:
    IrishSentenceBankDocument

      public static class IrishSentenceBankDocument.IrishSentenceBankSentence
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IrishSentenceBankSentence(String src, String trans, String orig, Span[] toks, IrishSentenceBankDocument.IrishSentenceBankFlex[] flx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IrishSentenceBankDocument.IrishSentenceBankFlex[]` | `getFlex()`
    `String` | `getOriginal()`
    `String` | `getSource()`
    `Span[]` | `getTokens()`
    `TokenSample` | `getTokenSample()`
    `String` | `getTranslation()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IrishSentenceBankSentence

          public IrishSentenceBankSentence(String src,
                                           String trans,
                                           String orig,
                                           Span[] toks,
                                           IrishSentenceBankDocument.IrishSentenceBankFlex[] flx)

  - ### Method Detail

    - #### getSource

          public String getSource()

    - #### getTranslation

          public String getTranslation()

    - #### getOriginal

          public String getOriginal()

    - #### getTokens

          public Span[] getTokens()

    - #### getFlex

          public IrishSentenceBankDocument.IrishSentenceBankFlex[] getFlex()

    - #### getTokenSample

          public TokenSample getTokenSample()

Copyright © 2026 The Apache Software Foundation. All rights reserved.